import React from "react";
import { reduxForm, Field } from "redux-form";
import Authbuttons from './authButtons'
import {authValidate} from "../../utils/authValidate";
import {authRenderField} from "../../common/authRenderField"

const Form = props => {
  const { handleSubmit, getUsersData } = props
  const submit = (values) => { 
    getUsersData(values);
  }
    return (
      <div>
        
        <form className="auth__form" onSubmit={handleSubmit(submit)}>
        
        <Authbuttons />
          <div>
            <Field
              name="email"
              component={authRenderField}
              type="Емейл" 
              placeholder="email@example.com"

            />
          </div>
          <div>  
            <Field
              name="password"
              component={authRenderField}
              type="password" 
              placeholder ="Пароль"  
            />
          </div>

          <button className="auth__submit-button">Войти</button>

        </form>
      </div>
    );
}

export default reduxForm({ form: "authForm", validate: authValidate })(Form);