import React, { Component } from 'react';
import Loader from 'react-loader-spinner'
class SearchFullInfoStaff extends Component {
    render() {
        
        const { fullInfoSearchData, isFetching } = this.props

        let data;
            if(isFetching===true){
                data = <div> 
                    <Loader 
                type="Triangle"
                color="#1890ff"
                height="75"	
                width="75"
             /> 
             </div>
            }
            else {
                data = fullInfoSearchData.map((el,key)=>(<div key={key}> {el.title} {el.price} {el.description} </div>)
                    )
            } 
        return (
            <div>
                 {data}  
                    
            </div>
        );
    }
}

export default SearchFullInfoStaff;